package com.zemanta.hamaxnewsandroid;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.ArrayList;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import android.util.Log;

public class Core {

	private static final String API_BASE_URL = "http://labs.zemanta.com/hamaxnews";
	private static final String TAG = "HamaxCore";
	
	public static ArrayList<String> getTrending() {
		ArrayList<String> results = new ArrayList<String>();
		
		String trending = RestClient.getContentsAsString(API_BASE_URL + "/stats/trending");
		Log.i(TAG, trending);
 
		try {
			JSONArray entities = new JSONArray(trending);
			
			for (int i = 0; i < entities.length(); i++) {
				results.add(entities.getJSONObject(i).getString("name"));
			}
		} catch (JSONException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		return results;
	}
	
	public static ArrayList<HamaxArticle> getArticles(String entity) {
		ArrayList<HamaxArticle> results = new ArrayList<HamaxArticle>();
		String thePath;
		try {
			thePath = API_BASE_URL + "/articles/" + URLEncoder.encode("[\"" + entity + "\"]", "UTF-8");
			Log.i(TAG, thePath);
		} catch (UnsupportedEncodingException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
			return results;
		}
		String articles = RestClient.getContentsAsString(thePath);
		
		Log.i(TAG, articles);
 
		try {
			JSONArray jsonArticles = new JSONArray(articles);
			for (int i = 0; i < jsonArticles.length(); i++) {
				JSONObject jsonArticle = jsonArticles.getJSONObject(i);
				HamaxArticle hamaxArticle = new HamaxArticle(jsonArticle);
				results.add(hamaxArticle);
			}
		} catch (JSONException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		return results;
	}
}