package com.zemanta.hamaxnewsandroid;

import java.util.ArrayList;

import android.app.ListActivity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class EntityListActivity extends ListActivity {
	
	private static final String TAG = "EntityListActivity";
	private Context mCtx;
	private ArrayAdapter<String> adapter;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mCtx = this;
        
        ArrayList<String> trending = Core.getTrending();
        
        adapter = new ArrayAdapter<String>(this, R.layout.entity_list, trending);
        setListAdapter(adapter);

        ListView lv = getListView();
        lv.setTextFilterEnabled(true);

        lv.setOnItemClickListener(new OnItemClickListener() {
        	public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        		Intent intent = new Intent(mCtx, ArticleListActivity.class);
        		String entity = adapter.getItem(position);
        		intent.putExtra("entity", entity);
        		startActivity(intent);
        	}
        });
    }
}